"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ECRClient_1 = require("./ECRClient");
var BatchCheckLayerAvailabilityCommand_1 = require("./commands/BatchCheckLayerAvailabilityCommand");
var BatchDeleteImageCommand_1 = require("./commands/BatchDeleteImageCommand");
var BatchGetImageCommand_1 = require("./commands/BatchGetImageCommand");
var CompleteLayerUploadCommand_1 = require("./commands/CompleteLayerUploadCommand");
var CreateRepositoryCommand_1 = require("./commands/CreateRepositoryCommand");
var DeleteLifecyclePolicyCommand_1 = require("./commands/DeleteLifecyclePolicyCommand");
var DeleteRepositoryCommand_1 = require("./commands/DeleteRepositoryCommand");
var DeleteRepositoryPolicyCommand_1 = require("./commands/DeleteRepositoryPolicyCommand");
var DescribeImagesCommand_1 = require("./commands/DescribeImagesCommand");
var DescribeRepositoriesCommand_1 = require("./commands/DescribeRepositoriesCommand");
var GetAuthorizationTokenCommand_1 = require("./commands/GetAuthorizationTokenCommand");
var GetDownloadUrlForLayerCommand_1 = require("./commands/GetDownloadUrlForLayerCommand");
var GetLifecyclePolicyCommand_1 = require("./commands/GetLifecyclePolicyCommand");
var GetLifecyclePolicyPreviewCommand_1 = require("./commands/GetLifecyclePolicyPreviewCommand");
var GetRepositoryPolicyCommand_1 = require("./commands/GetRepositoryPolicyCommand");
var InitiateLayerUploadCommand_1 = require("./commands/InitiateLayerUploadCommand");
var ListImagesCommand_1 = require("./commands/ListImagesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var PutImageCommand_1 = require("./commands/PutImageCommand");
var PutImageTagMutabilityCommand_1 = require("./commands/PutImageTagMutabilityCommand");
var PutLifecyclePolicyCommand_1 = require("./commands/PutLifecyclePolicyCommand");
var SetRepositoryPolicyCommand_1 = require("./commands/SetRepositoryPolicyCommand");
var StartLifecyclePolicyPreviewCommand_1 = require("./commands/StartLifecyclePolicyPreviewCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UploadLayerPartCommand_1 = require("./commands/UploadLayerPartCommand");
var ECR = /** @class */ (function (_super) {
    tslib_1.__extends(ECR, _super);
    function ECR() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ECR.prototype.batchCheckLayerAvailability = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchCheckLayerAvailabilityCommand_1.BatchCheckLayerAvailabilityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.batchDeleteImage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchDeleteImageCommand_1.BatchDeleteImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.batchGetImage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetImageCommand_1.BatchGetImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.completeLayerUpload = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CompleteLayerUploadCommand_1.CompleteLayerUploadCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.createRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRepositoryCommand_1.CreateRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.deleteLifecyclePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLifecyclePolicyCommand_1.DeleteLifecyclePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.deleteRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRepositoryCommand_1.DeleteRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.deleteRepositoryPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRepositoryPolicyCommand_1.DeleteRepositoryPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.describeImages = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeImagesCommand_1.DescribeImagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.describeRepositories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeRepositoriesCommand_1.DescribeRepositoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.getAuthorizationToken = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAuthorizationTokenCommand_1.GetAuthorizationTokenCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.getDownloadUrlForLayer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDownloadUrlForLayerCommand_1.GetDownloadUrlForLayerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.getLifecyclePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetLifecyclePolicyCommand_1.GetLifecyclePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.getLifecyclePolicyPreview = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetLifecyclePolicyPreviewCommand_1.GetLifecyclePolicyPreviewCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.getRepositoryPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRepositoryPolicyCommand_1.GetRepositoryPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.initiateLayerUpload = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new InitiateLayerUploadCommand_1.InitiateLayerUploadCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.listImages = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListImagesCommand_1.ListImagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.putImage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutImageCommand_1.PutImageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.putImageTagMutability = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutImageTagMutabilityCommand_1.PutImageTagMutabilityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.putLifecyclePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutLifecyclePolicyCommand_1.PutLifecyclePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.setRepositoryPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetRepositoryPolicyCommand_1.SetRepositoryPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.startLifecyclePolicyPreview = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartLifecyclePolicyPreviewCommand_1.StartLifecyclePolicyPreviewCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ECR.prototype.uploadLayerPart = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UploadLayerPartCommand_1.UploadLayerPartCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ECR;
}(ECRClient_1.ECRClient));
exports.ECR = ECR;
//# sourceMappingURL=ECR.js.map