"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchCheckLayerAvailability_1 = require("../model/operations/BatchCheckLayerAvailability");
var BatchCheckLayerAvailabilityCommand = /** @class */ (function () {
    function BatchCheckLayerAvailabilityCommand(input) {
        this.input = input;
        this.model = BatchCheckLayerAvailability_1.BatchCheckLayerAvailability;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchCheckLayerAvailabilityCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchCheckLayerAvailabilityCommand;
}());
exports.BatchCheckLayerAvailabilityCommand = BatchCheckLayerAvailabilityCommand;
//# sourceMappingURL=BatchCheckLayerAvailabilityCommand.js.map