"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetImage_1 = require("../model/operations/BatchGetImage");
var BatchGetImageCommand = /** @class */ (function () {
    function BatchGetImageCommand(input) {
        this.input = input;
        this.model = BatchGetImage_1.BatchGetImage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetImageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetImageCommand;
}());
exports.BatchGetImageCommand = BatchGetImageCommand;
//# sourceMappingURL=BatchGetImageCommand.js.map