"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLifecyclePolicy_1 = require("../model/operations/DeleteLifecyclePolicy");
var DeleteLifecyclePolicyCommand = /** @class */ (function () {
    function DeleteLifecyclePolicyCommand(input) {
        this.input = input;
        this.model = DeleteLifecyclePolicy_1.DeleteLifecyclePolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLifecyclePolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLifecyclePolicyCommand;
}());
exports.DeleteLifecyclePolicyCommand = DeleteLifecyclePolicyCommand;
//# sourceMappingURL=DeleteLifecyclePolicyCommand.js.map