"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRepositoryPolicy_1 = require("../model/operations/DeleteRepositoryPolicy");
var DeleteRepositoryPolicyCommand = /** @class */ (function () {
    function DeleteRepositoryPolicyCommand(input) {
        this.input = input;
        this.model = DeleteRepositoryPolicy_1.DeleteRepositoryPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRepositoryPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRepositoryPolicyCommand;
}());
exports.DeleteRepositoryPolicyCommand = DeleteRepositoryPolicyCommand;
//# sourceMappingURL=DeleteRepositoryPolicyCommand.js.map