"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAuthorizationToken_1 = require("../model/operations/GetAuthorizationToken");
var GetAuthorizationTokenCommand = /** @class */ (function () {
    function GetAuthorizationTokenCommand(input) {
        this.input = input;
        this.model = GetAuthorizationToken_1.GetAuthorizationToken;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAuthorizationTokenCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAuthorizationTokenCommand;
}());
exports.GetAuthorizationTokenCommand = GetAuthorizationTokenCommand;
//# sourceMappingURL=GetAuthorizationTokenCommand.js.map