"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetLifecyclePolicy_1 = require("../model/operations/GetLifecyclePolicy");
var GetLifecyclePolicyCommand = /** @class */ (function () {
    function GetLifecyclePolicyCommand(input) {
        this.input = input;
        this.model = GetLifecyclePolicy_1.GetLifecyclePolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetLifecyclePolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetLifecyclePolicyCommand;
}());
exports.GetLifecyclePolicyCommand = GetLifecyclePolicyCommand;
//# sourceMappingURL=GetLifecyclePolicyCommand.js.map