"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetLifecyclePolicyPreview_1 = require("../model/operations/GetLifecyclePolicyPreview");
var GetLifecyclePolicyPreviewCommand = /** @class */ (function () {
    function GetLifecyclePolicyPreviewCommand(input) {
        this.input = input;
        this.model = GetLifecyclePolicyPreview_1.GetLifecyclePolicyPreview;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetLifecyclePolicyPreviewCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetLifecyclePolicyPreviewCommand;
}());
exports.GetLifecyclePolicyPreviewCommand = GetLifecyclePolicyPreviewCommand;
//# sourceMappingURL=GetLifecyclePolicyPreviewCommand.js.map