"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRepositoryPolicy_1 = require("../model/operations/GetRepositoryPolicy");
var GetRepositoryPolicyCommand = /** @class */ (function () {
    function GetRepositoryPolicyCommand(input) {
        this.input = input;
        this.model = GetRepositoryPolicy_1.GetRepositoryPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRepositoryPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRepositoryPolicyCommand;
}());
exports.GetRepositoryPolicyCommand = GetRepositoryPolicyCommand;
//# sourceMappingURL=GetRepositoryPolicyCommand.js.map