"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListImages_1 = require("../model/operations/ListImages");
var ListImagesCommand = /** @class */ (function () {
    function ListImagesCommand(input) {
        this.input = input;
        this.model = ListImages_1.ListImages;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListImagesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListImagesCommand;
}());
exports.ListImagesCommand = ListImagesCommand;
//# sourceMappingURL=ListImagesCommand.js.map