"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutImage_1 = require("../model/operations/PutImage");
var PutImageCommand = /** @class */ (function () {
    function PutImageCommand(input) {
        this.input = input;
        this.model = PutImage_1.PutImage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutImageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutImageCommand;
}());
exports.PutImageCommand = PutImageCommand;
//# sourceMappingURL=PutImageCommand.js.map