"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetRepositoryPolicy_1 = require("../model/operations/SetRepositoryPolicy");
var SetRepositoryPolicyCommand = /** @class */ (function () {
    function SetRepositoryPolicyCommand(input) {
        this.input = input;
        this.model = SetRepositoryPolicy_1.SetRepositoryPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetRepositoryPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetRepositoryPolicyCommand;
}());
exports.SetRepositoryPolicyCommand = SetRepositoryPolicyCommand;
//# sourceMappingURL=SetRepositoryPolicyCommand.js.map