"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartLifecyclePolicyPreview_1 = require("../model/operations/StartLifecyclePolicyPreview");
var StartLifecyclePolicyPreviewCommand = /** @class */ (function () {
    function StartLifecyclePolicyPreviewCommand(input) {
        this.input = input;
        this.model = StartLifecyclePolicyPreview_1.StartLifecyclePolicyPreview;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartLifecyclePolicyPreviewCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartLifecyclePolicyPreviewCommand;
}());
exports.StartLifecyclePolicyPreviewCommand = StartLifecyclePolicyPreviewCommand;
//# sourceMappingURL=StartLifecyclePolicyPreviewCommand.js.map