"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UploadLayerPart_1 = require("../model/operations/UploadLayerPart");
var UploadLayerPartCommand = /** @class */ (function () {
    function UploadLayerPartCommand(input) {
        this.input = input;
        this.model = UploadLayerPart_1.UploadLayerPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UploadLayerPartCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UploadLayerPartCommand;
}());
exports.UploadLayerPartCommand = UploadLayerPartCommand;
//# sourceMappingURL=UploadLayerPartCommand.js.map