"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CompleteLayerUploadInput_1 = require("../shapes/CompleteLayerUploadInput");
var CompleteLayerUploadOutput_1 = require("../shapes/CompleteLayerUploadOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var UploadNotFoundException_1 = require("../shapes/UploadNotFoundException");
var InvalidLayerException_1 = require("../shapes/InvalidLayerException");
var LayerPartTooSmallException_1 = require("../shapes/LayerPartTooSmallException");
var LayerAlreadyExistsException_1 = require("../shapes/LayerAlreadyExistsException");
var EmptyUploadException_1 = require("../shapes/EmptyUploadException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CompleteLayerUpload = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CompleteLayerUpload",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CompleteLayerUploadInput_1.CompleteLayerUploadInput
    },
    output: {
        shape: CompleteLayerUploadOutput_1.CompleteLayerUploadOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: UploadNotFoundException_1.UploadNotFoundException
        },
        {
            shape: InvalidLayerException_1.InvalidLayerException
        },
        {
            shape: LayerPartTooSmallException_1.LayerPartTooSmallException
        },
        {
            shape: LayerAlreadyExistsException_1.LayerAlreadyExistsException
        },
        {
            shape: EmptyUploadException_1.EmptyUploadException
        }
    ]
};
//# sourceMappingURL=CompleteLayerUpload.js.map