"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutImageInput_1 = require("../shapes/PutImageInput");
var PutImageOutput_1 = require("../shapes/PutImageOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var ImageAlreadyExistsException_1 = require("../shapes/ImageAlreadyExistsException");
var LayersNotFoundException_1 = require("../shapes/LayersNotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ImageTagAlreadyExistsException_1 = require("../shapes/ImageTagAlreadyExistsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutImage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutImage",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutImageInput_1.PutImageInput
    },
    output: {
        shape: PutImageOutput_1.PutImageOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: ImageAlreadyExistsException_1.ImageAlreadyExistsException
        },
        {
            shape: LayersNotFoundException_1.LayersNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ImageTagAlreadyExistsException_1.ImageTagAlreadyExistsException
        }
    ]
};
//# sourceMappingURL=PutImage.js.map