"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidTagParameterException_1 = require("../shapes/InvalidTagParameterException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidTagParameterException_1.InvalidTagParameterException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map