"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UploadLayerPartInput_1 = require("../shapes/UploadLayerPartInput");
var UploadLayerPartOutput_1 = require("../shapes/UploadLayerPartOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidLayerPartException_1 = require("../shapes/InvalidLayerPartException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var UploadNotFoundException_1 = require("../shapes/UploadNotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UploadLayerPart = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UploadLayerPart",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UploadLayerPartInput_1.UploadLayerPartInput
    },
    output: {
        shape: UploadLayerPartOutput_1.UploadLayerPartOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidLayerPartException_1.InvalidLayerPartException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: UploadNotFoundException_1.UploadNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=UploadLayerPart.js.map